/* Macros to generate security codes for result files */

#ifdef SERVER_TESTING
#define SEC1(p)		 (0x88888888)
#define SEC2(p,hi,lo)	 (0x88888888)
#define SEC3(p)		 (0x88888888)
#define SEC4(p)		 (0x88888888)
#else
#define SEC1(p)		 ((p%63111 + p%19019) << 16) + (p%88311 + p%27951)
#define SEC2(p,hi,lo)	 (hi+lo)^(((p%62071+p%15923)<<16)+(p%91631+p%4219))
#define SEC3(p)		 ((p/407 + p%29) << 16) + (p/587 + p%11)
#define SEC4(p)		 ((p/137 + p%41) << 16) + (p/97 + p%13)
#endif
