/* Common strings */

#define MANUAL_QUIT	"You have elected to quit the Great Internet Mersenne Prime Search.  Please send the file results.txt to woltman@magicnet.net.\n\nAre you sure you want to quit GIMPS?"
#define PRIMENET_QUIT	"You have elected to quit the Great Internet Mersenne Prime Search.  All unfinished work will be returned to the PrimeNet server.  Make sure you are connected to the Internet before choosing \"Yes\".\n\nAre you sure you want to quit GIMPS?"
#define PING_ERROR	"Unable to get version information from PrimeNet server."

/* Global variables */

extern int STARTUP_IN_PROGRESS;	/* TRUE if we should call primeContinue */
				/* after asking for user information */

/* Common routines */

void sanitizeString (char *);
void rangeStatusMessage (char *);
